<?php
CakePlugin::loadAll();
//CakePlugin::load('Bootstrap4');

define('HOST', $_SERVER['REQUEST_SCHEME'].'://'.$_SERVER['HTTP_HOST']);
define('IS_POWHOST', in_array($_SERVER['HTTP_HOST'], ['pow.test', 'pow.ph']));
define('POWHOST', $_SERVER['SERVER_ADDR'] == '127.0.0.1' ? 'http://pow.test' : 'https://pow.ph');
define('IS_LIVE', ($_SERVER['SERVER_ADDR'] != '127.0.0.1'));

define('CAN_SIGNUP', false);

Cache::config('default', array('engine' => 'File'));
Configure::write('Dispatcher.filters', array(
	'AssetDispatcher',
	'CacheDispatcher'
));
/**
 * Configures default file logging options
 */
App::uses('CakeLog', 'Log');
CakeLog::config('debug', array(
	'engine' => 'File',
	'types' => array('notice', 'info', 'debug'),
	'file' => 'debug',
));
CakeLog::config('error', array(
	'engine' => 'File',
	'types' => array('warning', 'error', 'critical', 'alert', 'emergency'),
	'file' => 'error',
));
