<?php
App::uses('AppModel', 'Model');
class Ticket extends AppModel {

	public $useTable = 'tickets';
	public $displayField = 'title';
	public $order = 'Ticket.created';

	public $validate = array(
		'title' => [
			'notBlank',
		],
	);
	
	public $status = [
		'new'=>'New',
		'pending'=>'Pending',
		'completed'=>'Completed'
	];

}