<?php
$edit = '<a href="/admin/industries_edit/%s"><i class="fas fa-edit"></i></a>';
$del= '<a href="/admin/industries_del/%s" onclick="return confirm(\'Are you sure you want to delete?\')"><i class="fas fa-trash-alt"></i></a>';
$image = '<a href="%s" class="popup-image"><i class="fas fa-file-download"></i></a>'
?>
<div class="card shadow mb-4">
	<?=$this->element('admin_card_header', ['title'=>'Industry', 'back_url'=>'/admin/'])?>
	<div class="card-body">

		<?=$this->element('pagination', array("search_box"=>true, "actions" => array('Add'=> '/admin/industries_add/')));?>

		<table class="table">
			<tr>
				<th><?= $this->Paginator->sort('id', "ID"); ?></th>
				<th><?= $this->Paginator->sort('name', 'Name'); ?></th>
				<th><?= $this->Paginator->sort('slug', 'Slug'); ?></th>
				<th><?= $this->Paginator->sort('image', 'Image'); ?></th>
				<th class="text-center">Actions</th>
			</tr>
		<?php foreach ($this->data as $row): ?>
			<tr>
				<td><?= $row['Industry']['id'] ?></td>
				<td><?= $row['Industry']['name'] ?></td>
				<td><?= $row['Industry']['slug'] ?></td>
				<td><?= !empty($row['Industry']['image']) ? sprintf($image ,$row['Industry']['image']) : '' ?></td>
				<td class="text-center"><?= sprintf($edit ,$row['Industry']['id']) ?> <?= sprintf($del ,$row['Industry']['id']) ?></td>
			</tr>
		<?php endforeach; ?>
		</table>

	</div>
</div>