<?php
$on = '<a href="/admin/profiles/unpublish:%s"><i class="fas fa-toggle-on"></i></a>';
$off = '<a href="/admin/profiles/publish:%s"><i class="fas fa-toggle-off"></i></a>';
$edit = '<a href="/admin/profiles_edit/%s"><i class="fas fa-edit"></i></a>';
$cp = '<a href="/admin/profiles_cp/%s"><i class="fas fa-key"></i></a>';
?>
<div class="card shadow mb-4">
	<?=$this->element('admin_card_header', ['title'=>'Profiles', 'back_url'=>'/admin/'])?>
	<div class="card-body">

		<?=$this->element('pagination', array("search_box"=>true, "actions" => array('Add'=> '/admin/profiles_add/')));?>

		<table class="table table-responsive">
			<tr>
				<th><?= $this->Paginator->sort('id', "ID"); ?></th>
				<th><?= $this->Paginator->sort('username', 'Username'); ?></th>
				<th><?= $this->Paginator->sort('domain', 'Domain'); ?></th>
				<th><?= $this->Paginator->sort('business_name', 'Business Name'); ?></th>
				<th><?= $this->Paginator->sort('access', 'Membership'); ?></th>
				<th><?= $this->Paginator->sort('created', 'Created'); ?></th>
				<th class="text-center" width="100"><?= $this->Paginator->sort('published', 'Published'); ?></th>
				<th class="text-center">Actions</th>
			</tr>
		<?php foreach ($this->data as $row): ?>
			<tr>
				<td><?= $row['Profile']['id'] ?></td>
				<td><a href="https://pow.ph/<?= $row['Profile']['username'] ?>/" target="_blank"><?= $row['Profile']['username'] ?></a></td>
				<td><a href="//<?= $row['Profile']['domain'] ?>" target="_blank"><?= $row['Profile']['domain'] ?></a></td>
				<td><?= $row['Profile']['business_name'] ?></td>
				<td><?= $access[$row['Profile']['access']] ?></td>
				<td><?= $this->App->toDate($row['Profile']['created']) ?></td>
				<td class="text-center"><?= sprintf($row['Profile']['published'] ? $on : $off ,$row['Profile']['id']) ?></td>
				<td class="text-center"><?= sprintf($edit ,$row['Profile']['id']) ?> <?= sprintf($cp ,$row['Profile']['id']) ?></td>
			</tr>
		<?php endforeach; ?>
		</table>

	</div>
</div>