<?= $this->Form->create('Profile', ['url'=>'/admin/profiles_edit/']); ?>
<?= $this->Form->hidden('Form.referer', ['value'=>env('HTTP_REFERER')]); ?>
<?= $this->Form->hidden('Profile.id'); ?>
<div class="card shadow mb-4">
	<?=$this->element('admin_card_header', ['title'=>'Profile Edit'])?>
	<div class="card-body">
		<div class="row">
			<div class="col-md-6 col-lg-4">
				<?=  $this->Form->input('username'); ?>
			</div>
			<div class="col-md-6 col-lg-4">
				<?=  $this->Form->input('email'); ?>
			</div>
			<?php if(empty($this->data)): ?>
			<div class="col-md-6 col-lg-4">
				<?=  $this->Form->input('password',['type'=>'text']); ?>
			</div>
			<?php endif; ?>
			<div class="col-md-6 col-lg-4">
				<?=  $this->Form->input('name', ['label'=>'Account Owner']); ?>
			</div>
			<div class="col-md-6 col-lg-4">
				<?=  $this->Form->input('business_name'); ?>
			</div>
			<div class="col-md-6 col-lg-4">
				<?=  $this->Form->input('access', ['label'=>'Membership', 'options'=>$access]); ?>
			</div>
			<div class="col-md-6 col-lg-4">
				<?=  $this->Form->input('domain'); ?>
			</div>
			<div class="col-md-6 col-lg-4">
				<?=  $this->Form->input('domain_ownership', ['options'=>$domainOwnership]); ?>
			</div>
		</div>
		<hr />
		<div class="row">
			<div class="col-md-6 col-lg-4">
				<?=  $this->Form->input('domain_ssl', ['label'=>'Use SSL', 'options'=>$yesno]); ?>
			</div>
			<div class="col-md-6 col-lg-4">
				<?=  $this->Form->input('path', ['label'=>'URL Display Path', 'options'=>$urlPath]); ?>
			</div>
		</div>
	</div>
	<?=$this->element('admin_card_footer', ['back_url'=>'/admin/profiles/'])?>
</div>
<?= $this->Form->end() ?>