<form method="get" class="pagination-form" action="/<?=implode("/",[$this->params->controller,$this->params->action])?>/">
<!-- <input type="hidden" name="reset-page" value="1"> -->
<?php $exclude_field_names = array('search', 'limit', 'reset-page');?>
<ul class="pagination">

	<?= $this->Paginator->prev('<i class="fas fa-chevron-left"></i>', array('tag'=>'li', 'escape'=>false), '<span><i class="fas fa-chevron-left"></i></span>', array('tag'=>'li', 'class' => 'disabled', 'escape'=>false)). "\n";?> 
	<?= $this->Paginator->numbers(array('tag'=>'li','separator'=>false)) ?>
	<?= $this->Paginator->next('<i class="fas fa-chevron-right"></i>', array('tag'=>'li', 'escape'=>false), '<span><i class="fas fa-chevron-right"></i></span>', array('tag'=>'li', 'class' => 'disabled', 'escape'=>false)) . "\n";?>
	<li class="disabled"><span><?= $this->Paginator->counter('Page {:page} of {:pages}'); ?></span></li>
	<li class="disabled"><span><?= $this->Paginator->counter('{:count} rows'); ?></span></li>
	<?php if (!empty($pagelimit) && $this->Paginator->counter('{:count}')>=100): ?>
	<li><span class="pagination-select">
		Show <select name="limit" onchange="this.form.submit()">
		<?php foreach (array(100, 500, 1000, 5000) as $listlimit) echo "<option".($listlimit==$pagelimit?' selected':'').">$listlimit</option>"; ?>
		</select>
	</span></li>
	<?php endif; ?>

	<?php if(isset($select_box) && $select_box != false): // 'selectbox' is for dropdown links ?>
		<?php foreach ($select_box as $name=>$row): ?>
		<li><span class="pagination-select"><?=$name?>: 
			<select name="<?=strtolower($name)?>" id="paginationSelect<?=ucwords($name)?>">
				<?php if($project !== 'step'): ?>
				<option value=""></option>
				<?php endif;?>
				<?php foreach ($row['options'] as $id=>$val): ?>
				<option value="<?=$id?>" <?php if($row['selected']==$id) echo 'selected="selected"'?>><?=$val?></option>
				<?php endforeach; ?>
			</select>
			</span>
		</li>
		<?php endforeach; ?>
	<?php endif ?>
	
	<?php if(isset($actions)) 
		foreach ($actions as $text=>$link): ?>

		<?php if($text == 'dropdown' && $link): // 'dropdown' is for form filters  ?>
			<?php foreach ($link as $name=>$row): ?>
			<?php 
			$drowndown_select_name = isset($row['variable']) ? strtolower($row['variable']) : strtolower($name); 
			$exclude_field_names[] = $drowndown_select_name;
			?>
			<li><span class="pagination-select"><?=$name?> 
				<select name="<?=$drowndown_select_name?>" id="paginationSelect<?=ucwords($name)?>" onchange="this.form.submit()">
					<?php if($project !== 'step'): ?>
					<option value=""></option>
					<?php endif;?>
					<?php foreach ($row['options'] as $id=>$val): ?>
					<option value="<?=$id?>" <?php if(@$row['selected']==$id) echo 'selected="selected"'?>><?=$val?></option>
					<?php endforeach; ?>
				</select>
				</span>
			</li>
			<?php endforeach; ?>
		<?php elseif($text == 'input' && $link): // 'input' is for addition form inputs  ?>
			<?php foreach ($link as $row): ?>
			<li><span class="pagination-input"><?=$row?></span></li>
			<?php endforeach; ?>
		<?php else: ?>
			<li><a href="<?=str_replace('/_','/',$link)?>"><?php
			switch(strtolower($text)) {
				case 'add' :  echo '<i class="fas fa-plus"></i>&nbsp;  add'; break;
				case 'edit' :  echo '<i class="fas fa-edit"></i> edit'; break;
				default : echo $text;
			} ?></a></li>
		<?php endif ?>
			
	<?php endforeach ?>
	
	<?php if(isset($search_box) && $search_box != false): ?>
	<li class="pagination-search">
		<input type="text" name="search" class="form-control" value="<?=@$search?>" placeholder="Search">
	</li>
	<?php endif ?>	
	
</ul>
<?php 
$field_names = array();
foreach($this->params->query as $name => $value) 
	if(!in_array($name,$exclude_field_names))
		echo $this->Form->hidden($name, array('name'=>$name,'value' => $value));
?>
</form>