<?php
App::uses('Helper', 'View');

class AppHelper extends Helper {

	function toDate($field) {
		return !empty($field) ? date('Y-M-d', strtotime($field)) : '';
	}

	function teaser($str, $length = 250) {
		$str = strip_tags($str);
		//$str = preg_replace('/\s+?(\S+)?$/', '', $str);
		$originalString = $str;
		$str = mb_substr($str, 0, $length);
		//$str = substr($str,0,strrpos($str," "));
		if(strlen($originalString) > strlen($str)) {
			$str .= '&#8230;';
		}
		return $str;
	}
	
	public function toSef ($string) {
		return preg_replace('/[ -]+/', '-', trim(preg_replace('/[^a-z0-9 -]/', '', strtolower(iconv('UTF-8', 'ASCII//TRANSLIT', html_entity_decode($string))))));
	}
}
