<?php
$edit = '<a href="/settings/tickets_edit/%s"><i class="fas fa-edit"></i></a>';
$del= '<a href="/settings/tickets_del/%s" onclick="return confirm(\'Are you sure you want to delete?\')"><i class="fas fa-trash-alt"></i></a>';
?>
<div class="card shadow mb-4">
	<?=$this->element('pagination_header', [
		'title'=>'Tickets',
		'add'=>'tickets_add'
		])?>
	<div class="card-body">

		<table class="table">
			<tr>
				<th><?= $this->Paginator->sort('title', 'Title'); ?></th>
				<th><?= $this->Paginator->sort('status', 'Status'); ?></th>
				<th><?= $this->Paginator->sort('created', 'Created'); ?></th>
				<th class="text-center">Actions</th>
			</tr>
		<?php foreach ($this->data as $row): ?>
			<tr>
				<td><?= $this->App->teaser($row['Ticket']['title'],35) ?></td>
				<td><?= $row['Ticket']['status'] ?></td>
				<td><?= $this->App->toDate($row['Ticket']['created']) ?></td>
				<td class="text-center"><?= sprintf($edit ,$row['Ticket']['id']) ?> <?= sprintf($del ,$row['Ticket']['id']) ?></td>
			</tr>
		<?php endforeach; ?>
		</table>

	</div>
</div>