$(function() {


	var lastId,
		topMenu = $("#menu"),
		topMenuHeight = topMenu.outerHeight() + 1,
		menuItems = topMenu.find("a"),
		scrollItems = menuItems.map(function () {
			var item = $($(this).attr("href"));
			if (item.length) {
				return item;
			}
		});

	var onload_id = getCurrentId($(this));
	menuItems
		.parent().removeClass("active")
		.end().filter("[href=\"#" + onload_id + "\"]").parent().addClass("active");

	$(window).scroll(function () {
		var id = getCurrentId($(this));
		if (lastId !== id) {
			lastId = id;
			menuItems
				.parent().removeClass("active")
				.end().filter("[href=\"#" + id + "\"]").parent().addClass("active");
		}
	});

	function getCurrentId(el) {
		var fromTop = el.scrollTop() + topMenuHeight;
		var cur = scrollItems.map(function () {
			if ($(this).offset().top < fromTop)
				return this;
		});
		cur = cur[cur.length - 1];
		return cur && cur.length ? cur[0].id : "";
	} 

	function CreatePDFfromHTML() {
		var HTML_Width = 595; //$(".html-content").width();
		var HTML_Height = 1542; //$(".html-content").height();
		var var1 = $(".html-content").css('padding-left');
		var var2 = $(".html-content").find('.container').css('max-width');
		var var3 = $(".html-content").find('section').css('min-height');
		$(".html-content").css('padding-left',0);
		$(".html-content").find('.container').css('max-width','unset');
		$(".html-content").find('section').css('min-height','unset');
		console.log(var3);
		var top_left_margin = 15;
		var PDF_Width = HTML_Width + (top_left_margin * 2);
		var PDF_Height = (PDF_Width * 1.5) + (top_left_margin * 2);
		var canvas_image_width = HTML_Width;
		var canvas_image_height = HTML_Height;

		var totalPDFPages = Math.ceil(HTML_Height / PDF_Height) - 1;

		html2canvas($(".html-content")[0]).then(function (canvas) {
			var imgData = canvas.toDataURL("image/jpeg", 1.0);
			var pdf = new jsPDF('p', 'pt', [PDF_Width, PDF_Height]);
			pdf.addImage(imgData, 'JPG', top_left_margin, top_left_margin, canvas_image_width, canvas_image_height);
			for (var i = 1; i <= totalPDFPages; i++) { 
				pdf.addPage(PDF_Width, PDF_Height);
				pdf.addImage(imgData, 'JPG', top_left_margin, -(PDF_Height*i)+(top_left_margin*4),canvas_image_width,canvas_image_height);
			}
			pdf.save("Your_PDF_Name.pdf");
		});
		
		$(".html-content").css('padding-left', var1);
		$(".html-content").find('.container').css('max-width', var2);
		$(".html-content").find('section').css('min-height',var3);
	}

	//CreatePDFfromHTML();


});