<?php

Router::connect('/admin/', array('controller' => 'admin', 'action' => 'dashboard'));
Router::connect('/admin_signin/', array('controller' => 'admin', 'action' => 'signin'));
Router::connect('/admin_signout/', array('controller' => 'admin', 'action' => 'signout'));
Router::connect('/admin_signup/', array('controller' => 'admin', 'action' => 'signup'));
Router::connect('/admin/:action/', array('controller' => 'admin'));

Router::connect('/signin/', array('controller' => 'settings', 'action' => 'signin'));
Router::connect('/signout/', array('controller' => 'settings', 'action' => 'signout'));
//Router::connect('/signup/', array('controller' => 'settings', 'action' => 'signup'));
Router::connect('/username/', array('controller' => 'settings', 'action' => 'signup'));
//Router::connect('/signup-next/', array('controller' => 'settings', 'action' => 'signup_next'));
//Router::connect('/signup-finished/', array('controller' => 'settings', 'action' => 'signup_finished'));

Router::connect('/forgot/', array('controller' => 'settings', 'action' => 'forgot'));

Router::connect('/reset/:id/', array('controller' => 'settings', 'action' => 'reset'));
Router::connect('/settings/:action/', array('controller' => 'settings'));
Router::connect('/settings/', array('controller' => 'settings', 'action' => 'dashboard'));

if(in_array(env('HTTP_HOST'), ['pow.test', 'pow.ph'])) {

	// pow main site
	Router::connect('/', array('controller' => 'pages', 'action' => 'index'));
	//Router::connect('/pricing/', array('controller' => 'pages', 'action' => 'pricing'));
	Router::connect('/404/', array('controller' => 'pages', 'action' => 'notfound'));

	Router::connect('/:username/listing/:id-:tail', array('controller' => 'profiles', 'action' => 'listing_view'));
	Router::connect('/:username/listing/', array('controller' => 'profiles', 'action' => 'listing'));
	Router::connect('/:username/:page/', array('controller' => 'profiles', 'action' => 'page'));
	Router::connect('/:username/', array('controller' => 'profiles', 'action' => 'index'));

} else {

	Router::connect('/listing/:id-:tail', array('controller' => 'profiles', 'action' => 'listing_view'));
	Router::connect('/listing/', array('controller' => 'profiles', 'action' => 'listing'));
	Router::connect('/:page/', array('controller' => 'profiles', 'action' => 'page'));
	Router::connect('/', array('controller' => 'profiles', 'action' => 'index'));

}



CakePlugin::routes();
require CAKE . 'Config' . DS . 'routes.php';