<?php
class StampsBehavior extends ModelBehavior {

	public function beforeSave (Model $model, $options = []) {
		$user_id = AuthComponent::user('id');

		if (empty($model->data[$model->alias]['id'])) $model->data[$model->alias]['created'] = date('Y-m-d H:i:s');
		if ($user_id && empty($model->data[$model->alias]['id'])) $model->data[$model->alias]['created_by'] = $user_id;
		$model->data[$model->alias]['modified'] = date('Y-m-d H:i:s');
		if ($user_id) $model->data[$model->alias]['modified_by'] = $user_id;
		
		return true;
	}
}