<?php
App::uses('AppModel', 'Model');
class Upgrade extends AppModel {

	public $useTable = 'upgrades';
	public $order = 'Upgrade.created DESC';
	public $belongsTo = array('Profile');

	public $validate = array(
		'access' => [
			'notBlank',
		],
	);

	public $status = [
		'new'=>'New', 
		'approved'=>'Approved', 
		'cancelled'=>'Cancelled by User', 
		'rejected-receipt'=>'Rejected - Missing/Invalid Receipt', 
		'rejected-duplicate'=>'Rejected - Duplicate'
	];

}