<?= $this->Form->create('Industry', ['url'=>'/admin/industries_edit/', 'type'=>'file']); ?>
<?= $this->Form->hidden('Form.referer', ['value'=>env('HTTP_REFERER')]); ?>
<?= $this->Form->hidden('Industry.id'); ?>
<div class="card shadow mb-4">
	<?=$this->element('admin_card_header')?>
	<div class="card-body">
		<div class="row">
			<div class="col-md-6">
				<?=  $this->Form->input('name', ['label'=>'Name']); ?>
			</div>
			<div class="col-md-6">
				<?=  $this->Form->input('slug', ['label'=>'Slug']); ?>
			</div>
			<div class="col-md-6">
				<label for="IndustryImageInput" class="control-label">Image</label>
				<?= $this->Form->input('image_input', ['type' => 'file', 
					'class'=> 'custom-file-input',
					'label' => ['class'=>'custom-file-label', 'text'=> '...'],
					'div'=>['class'=>'custom-file']]); ?>
				<ul class="form-help-text">
					<li>Preferrably 1200px width</li>
				</ul>
				<?php if(!empty($this->data['Industry']['image']) && !strstr($this->data['Industry']['image'],'placeholder.png')): ?>
					<div class="mb-1"><img src="<?=$this->data['Industry']['image']?>?<?=time()?>" class="form-thumb" /></div>
					<div><?= $this->Form->checkbox('image_remove', ['class'=>'mt-2']); ?> <label for="IndustryImageRemove" class="control-label small">Remove this image?</label></div>
				<?php endif; ?>
			</div>
			<div class="col-md-6">
				<?=  $this->Form->input('attribution', ['label'=>'Image Attribution']); ?>
			</div>
		</div>
	</div>
	<?=$this->element('admin_card_footer', ['back_url'=>'/admin/industries/'])?>
</div>
<?= $this->Form->end() ?>