<?php
$on = '<a href="/admin/types/unpublish:%s"><i class="fas fa-toggle-on"></i></a>';
$off = '<a href="/admin/types/publish:%s"><i class="fas fa-toggle-off"></i></a>';
$edit = '<a href="/admin/types_edit/%s"><i class="fas fa-edit"></i></a>';
$del= '<a href="/admin/types_del/%s" onclick="return confirm(\'Are you sure you want to delete?\')"><i class="fas fa-trash-alt"></i></a>';
?>
<div class="card shadow mb-4">
	<?=$this->element('admin_card_header', ['title'=>'Types', 'back_url'=>'/admin/'])?>
	<div class="card-body">

		<?=$this->element('pagination', array("search_box"=>true, "actions" => array('Add'=> '/admin/types_add/')));?>

		<table class="table">
			<tr>
				<th><?= $this->Paginator->sort('id', "ID"); ?></th>
				<th><?= $this->Paginator->sort('name', 'Name'); ?></th>
				<th><?= $this->Paginator->sort('slug', 'Slug'); ?></th>
				<th><?= $this->Paginator->sort('Industry.name', 'Industry'); ?></th>
				<th class="text-center" width="100"><?= $this->Paginator->sort('published', 'Published'); ?></th>
				<th class="text-center">Actions</th>
			</tr>
		<?php foreach ($this->data as $row): ?>
			<tr>
				<td><?= $row['Type']['id'] ?></td>
				<td><?= $row['Type']['name'] ?></td>
				<td><?= $row['Type']['slug'] ?></td>
				<td><?= $row['Industry']['name'] ?></td>
				<td class="text-center"><?= sprintf($row['Type']['published'] ? $on : $off ,$row['Type']['id']) ?></td>
				<td class="text-center"><?= sprintf($edit ,$row['Type']['id']) ?> <?= sprintf($del ,$row['Type']['id']) ?></td>
			</tr>
		<?php endforeach; ?>
		</table>

	</div>
</div>