
<div class="contacts">

	<h2 class="section-header">Contact</h2>

	<?php
	$contacts = ['contact_address','contact_email','contact_phone','contact_phone2','social_facebook','social_instagram','social_twitter','social_youtube',
		'social_linkedin','social_lazada','social_shopee','social_carousell'];
	$has_contacts = false;
	foreach($contacts as $row)
		if(!empty($profile[$row])) {
			$has_contacts = true;
			break;
		}
	?>
	<?php if(!$has_contacts):?>
	<div class="text-center">Go to <a class="btn btn-sm btn-primary mx-2" href="/settings/account/" target="_blank">Settings</a> to add contact information.</div>
	<?php endif; ?>

	<div class="row social mb-4 justify-content-center">

		<?php if(!empty($profile['contact_address'])): ?>
		<div class="col-6 col-md-3 mb-4 location">
			<a href="https://www.google.com/maps/place/<?= urlencode($profile['contact_address'] .', '. $profile['contact_city']) ?>" target="_blank">
			<div class="box">
				<i class="fas fa-map-marker-alt"></i>
				<div>direction</div>
			</div>
			</a>
		</div>
		<?php endif; ?>

		<?php if(!empty($profile['contact_email'])): ?>
		<div class="col-6 col-md-3 mb-4 email">
			<a href="mailto:<?= h($profile['contact_email']) ?>" target="_blank">
			<div class="box">
				<i class="far fa-envelope"></i>
				<div class="target">email</div>
			</div>
			</a>
		</div>
		<?php endif; ?>

		<?php if(!empty($profile['contact_phone'])): ?>
		<div class="col-6 col-md-3 mb-4 phone">
			<a href="tel:<?= h($profile['contact_phone']) ?>">
			<div class="box show-on-load">
				<i class="fas fa-mobile-alt"></i>
				<div data-src="<?= h($profile['contact_phone']) ?>" class="target">phone</div>
			</div>
			</a>
		</div>
		<?php endif; ?>

		<?php if(!empty($profile['contact_phone2'])): ?>
		<div class="col-6 col-md-3 mb-4 phone">
			<a href="tel:<?= h($profile['contact_phone2']) ?>">
			<div class="box show-on-load">
				<i class="fas fa-mobile-alt"></i>
				<div data-src="<?= h($profile['contact_phone2']) ?>" class="target">phone</div>
			</div>
			</a>
		</div>
		<?php endif; ?>

		<?php if(!empty($profile['social_facebook'])): ?>
		<div class="col-6 col-md-3 mb-4 facebook">
			<a href="https://facebook.com/<?= h($profile['social_facebook']) ?>" target="_blank">
			<div class="box">
				<i class="fab fa-facebook-f"></i>
				<div>facebook</div>
			</div>
			</a>
		</div>
		<?php endif; ?>

		<?php if(!empty($profile['social_instagram'])): ?>
		<div class="col-6 col-md-3 mb-4 instagram">
			<a href="https://instagram.com/<?= h($profile['social_instagram']) ?>" target="_blank">
			<div class="box">
				<i class="fab fa-instagram"></i>
				<div>instagram</div>
			</div>
			</a>
		</div>
		<?php endif; ?>

		<?php if(!empty($profile['social_twitter'])): ?>
		<div class="col-6 col-md-3 mb-4 twitter">
			<a href="https://twitter.com/<?= h($profile['social_twitter']) ?>" target="_blank">
			<div class="box">
				<i class="fab fa-twitter"></i>
				<div>twitter</div>
			</div>
			</a>
		</div>
		<?php endif; ?>


		<?php if(!empty($profile['social_youtube'])): ?>
		<div class="col-6 col-md-3 mb-4 youtube">
			<a href="https://www.youtube.com/user/<?= h($profile['social_youtube']) ?>" target="_blank">
			<div class="box">
				<i class="fab fa-youtube"></i>
				<div>youtube</div>
			</div>
		</div>
		<?php endif; ?>

		<?php if(!empty($profile['social_linkedin'])): ?>
		<div class="col-6 col-md-3 mb-4 linkedin">
			<a href="https://linkedin.com/in/<?= h($profile['social_linkedin']) ?>" target="_blank">
			<div class="box">
				<i class="fab fa-linkedin-in"></i>
				<div>linkedin</div>
			</div>
			</a>
		</div>
		<?php endif; ?>

		<?php if(!empty($profile['social_lazada'])): ?>
		<div class="col-6 col-md-3 mb-4 lazada">
			<a href="https://www.lazada.com.ph/shop/<?= h($profile['social_lazada']) ?>" target="_blank">
			<div class="box">
				<div class="social-logo">
					<img src="/img/icons/lazada_icon.png" />
				</div>
				<div>lazada</div>
			</div>
			</a>
		</div>
		<?php endif; ?>

		<?php if(!empty($profile['social_shopee'])): ?>
		<div class="col-6 col-md-3 mb-4 shopee">
			<a href="https://shopee.ph/<?= h($profile['social_shopee']) ?>" target="_blank">
			<div class="box">
				<div class="social-logo">
					<img src="/img/icons/shopee_icon.png" />
				</div>
				<div>shopee</div>
			</div>
			</a>
		</div>
		<?php endif; ?>

		<?php if(!empty($profile['social_carousell'])): ?>
		<div class="col-6 col-md-3 mb-4 carousell">
			<a href="https://www.carousell.ph/<?= h($profile['social_carousell']) ?>/" target="_blank">
			<div class="box">
				<div class="social-logo">
					<img src="/img/icons/carousell_icon.png" />
				</div>
				<div>carousell</div>
			</div>
			</a>
		</div>
		<?php endif; ?>

	</div>

</div>