<h1 class="name section-header"><?=$this->data['Listing']['name']?></h1>
<div class="listing-view row">
	<div class="col-sm-6">
		<a href="<?= h($this->data['Listing']['image']) ?>" class="popup-image"><img src="<?=$this->data['Listing']['image']?>" class="image img-fluid"></a>
	</div>
	<div class="col-sm-6 align-self-center">
		<?php $price_line = [];
		switch($this->data['Listing']['price_option']) {
			case 'show': 
				if(!empty($this->data['Listing']['price']))
					$price_line[] = '₱ '.$this->data['Listing']['price'];
				break;
			case 'contact':
				$price_line[] = 'Contact us for pricing';
				break;
		}
		if(in_array($this->data['Listing']['availability'],['sold','out']))
			$price_line[] = $availability[$this->data['Listing']['availability']];
		?>
		<?php if(!empty($price_line)): ?>
		<h4 class="price my-3">
			<?=implode(" | ", $price_line); ?>
		</h4>
		<?php endif; ?>
		<div class="description"><?=$this->data['Listing']['description']?></div>
		<?php if(!empty($this->data['Listing']['url'])): ?>
		<div class="url my-1">
			<a href="<?=$this->data['Listing']['url']; ?>" target="_blank"><u>Link</u></a>
		</div>
		<?php endif; ?>
	</div>
</div>