<?=$this->element('blank_header')?>
<div class="signup">
	<?php echo $this->Form->create('Profile'); ?>
	<div class="card">
		<div class="card-body">
			<h3>Password Reset</h3>
			<?php if($status == 'proceed'): ?>
				<p>Set a new password</p>
			<?php elseif($status == 'invalid'): ?>
				<p><i class="fas fa-exclamation-circle"></i> Invalid or expired passkey.</p>
			<?php elseif($status == 'failed'): ?>
				<p>Failed to save form. Please check for errors.</p>
			<?php elseif($status == 'success'): ?>
				<p>New password saved!</p>
			<?php endif; ?>

			<?php if($status == 'success' && !empty($username)): ?>
				<a href="/<?=$username?>/" class="btn btn-primary my-3"><i class="fas fa-globe-asia"></i> View Website</a> 
				<a href="/settings/" class="btn btn-dark"><i class="fas fa-cog"></i> Sign in</a> 
			<?php elseif($status == 'invalid'): ?>
				<a href="/settings/forgot/" class="btn btn-primary"> Try again?</a> 
			<?php else: ?>
				<?=  $this->Form->input('password_new', ['label'=>false, 'placeholder'=>'new password', 'type'=>'password']); ?>
				<?=  $this->Form->input('password_confirmation', ['label'=>false, 'placeholder'=>'confirm password', 'type'=>'password']); ?>
				<input type="submit" name="submit" class="btn btn-primary" value="Submit" />
			<?php endif; ?>
		</div>
	</div>
	<?php echo $this->Form->end() ?>

	<div class="text-center mt-3">
		<a href="/signin/">Sign in</a> &bull; 
		<a href="/signup/">Sign up!</a>
	</div>
</div>