<?= $this->Form->create('Ticket', ['url'=>'/settings/tickets_edit/', 'type' => 'file']); ?>
<?= $this->Form->hidden('Form.referer', ['value'=>env('HTTP_REFERER')]); ?>
<?= $this->Form->hidden('Ticket.id'); ?>
<div class="card shadow mb-4">
	<?=$this->element('settings_card_header', ['title'=> (strstr($this->params['action'],'_add') ? 'Add' : 'Edit').' a Ticket'])?>
	<div class="card-body">
		<div class="row">
			<div class="col-md-6">
				<?=  $this->Form->input('title'); ?>
			</div>
			<div class="col-md-6">
				<?=  $this->Form->input('status', ['label'=>'Status', 'options'=>$status]); ?>
			</div>
			<div class="col-12">
				<?=  $this->Form->input('description'); ?>
			</div>
			<div class="col-md-6">
				<?=  $this->Form->input('url', ['label'=>'Link to error']); ?>
			</div>
			<div class="col-md-6">
				<label for="TicketImageInput" class="control-label">Image</label>
				<?= $this->Form->input('image_input', ['type' => 'file', 
					'class'=> 'custom-file-input',
					'label' => ['class'=>'custom-file-label', 'text'=> '...'],
					'div'=>['class'=>'custom-file']]); ?>
				<?php if(!empty($this->data['Ticket']['image']) && !strstr($this->data['Ticket']['image'],'placeholder.png')): ?>
					<div class="mb-1"><img src="<?=$this->data['Ticket']['image']?>?<?=time()?>" class="form-thumb" /></div>
					<div><?= $this->Form->checkbox('image_remove', ['class'=>'mt-2']); ?> <label for="TicketImageRemove" class="control-label small">Remove this image?</label></div>
				<?php endif; ?>
			</div>
		</div>
	</div>
	<?=$this->element('settings_card_footer', ['back_url'=>'/settings/tickets/'])?>
</div>
<?= $this->Form->end() ?>