new WOW().init();
$ = jQuery.noConflict();

jQuery(function ($) {

	// navbar
	$("[data-trigger]").on("click", function(e){
		e.preventDefault();
		e.stopPropagation();
		var sidemenu_id =  $(this).attr('data-trigger');
		$(sidemenu_id).toggleClass("show");
		$('body').toggleClass("sidemenu-active");
		$(".screen-overlay").toggleClass("show");
	}); 
	
	$(".sidemenu .btn-close, .screen-overlay").click(function(e){
	   $(".screen-overlay").removeClass("show");
	   $(".sidemenu").removeClass("show");
	   $("body").removeClass("sidemenu-active");
	});
	

	$('.popup-image').magnificPopup({
		type: 'image',
		removalDelay: 300,
		mainClass: 'mfp-fade'
	  });

	$(".teaser").click(function () {
		if($(this).hasClass('show'))
			$(this).removeClass('show');
		else
			$(this).addClass('show');
	});

	
	$('.show-on-load').each(function(){
		$(this).find('.target').html($(this).find('.target').data('src'));
	});

	$('.hover-to-show').mouseenter(function(){
		$(this).find('.target').html($(this).find('.target').data('src'));
	}).mouseleave(function(){
		$(this).find('.target').html('show');
	});


	$('.search-page').each(function(){
		var searchform = $(this).find('.search-form');
		var searchfield = searchform.find('.search-field');
		var searchresult = $(this).find('.search-result');

		searchform.on('submit', function (event) {
			event.preventDefault();
			searchresult.html('loading...');
			$key = 'pk.eyJ1IjoicmVubmV0aCIsImEiOiJjazlrYnZvMjkwbXV1M2huemgyeHZjMjVuIn0.qXDsZZsvgOiirtlLq77NEg';
			$.getJSON( "https://api.mapbox.com/geocoding/v5/mapbox.places/"+searchfield.val()+".json?types=address&country=PH&proximity=14.6760,121.0437&access_token="+$key, function( data ) {

				var items = [];
				console.log(data);
				searchresult.html(data);
			});
		});
	});
	
	$('.custom-file-input').each(function(){
		$(this).on('change', function (event) {
			$(this).parent().find('.custom-file-label').html(event.target.files[0].name);
		});
	});

	$('form').each(function(){
		$(this).on("submit", function(){
			$(this).find('input[type=submit]').addClass('disabled');
			$(this).find('input[type=submit]').val('Please wait...');
		});
	});

	$('.card.collapsed .btn-show').each(function(){
		$(this).on('click', function (event) {
			$(this).hide();
			$(this).parent().find('.btn-hide').css('display','inline');
			$(this).parent().parent().parent().parent().find('.card-body').show();
			$(this).parent().parent().parent().parent().find('.card-footer').show();
		});
	});

	$('.card.collapsed .btn-hide').each(function(){
		$(this).on('click', function (event) {
			$(this).hide();
			$(this).parent().find('.btn-show').css('display','inline');
			$(this).parent().parent().parent().parent().find('.card-body').hide();
			$(this).parent().parent().parent().parent().find('.card-footer').hide();
		});
	});

	$('.text-editor').each(function(){
		var container = $(this).find('.content').get(0);
		var input = $($(this).data('field'));
		var options = {
			modules: {
			  toolbar: [
				[{ 'header': 1 }, { 'header': 2 }, 'bold', 'italic', 'underline'],
				[{ 'list': 'ordered'}, { 'list': 'bullet' }, 'blockquote', 'code-block', 'link'],
				['clean'] 
			  ]
			},
			theme: 'snow'
		};
		
		var editor = new Quill(container, options);
		editor.on('text-change', function(delta) {
			console.log('text change');
			input.val(editor.root.innerHTML)
		});

	});

});